apiVersion: app.kiegroup.org/v2
kind: KieApp
metadata:
  name: custom-rhpam-mssql
spec:
  environment: rhpam-production
  imageRegistry:
    registry: quay.io
  commonConfig:
    adminPassword: password
    adminUser: admin
    amqClusterPassword: password
    amqPassword: password
    dbPassword: password
    keyStorePassword: password
    applicationName: custom-rhpam-mssql
  objects:
    console:
      keystoreSecret: businesscentral-app-secret
      replicas: 2
    servers:
    - database:
        type: external
        externalConfig:
          extensionImage: true
          driver: mssql
          dialect: org.hibernate.dialect.SQLServer2012Dialect
          name: rhpam
          host: 172.30.236.253
          port: '1433'
          #jdbcURL: 'jdbc:sqlserver://172.30.236.253:1433;DatabaseName=rhpam'
          username: sa
          password: msSql2019
          minPoolSize: '10'
          maxPoolSize: '10'
          connectionChecker: >-
            org.jboss.jca.adapters.jdbc.extensions.mssql.MSSQLValidConnectionChecker
          exceptionSorter: org.jboss.jca.adapters.jdbc.extensions.mssql.MSSQLExceptionSorter
          backgroundValidation: "true"
      build:
        extensionImageStreamTag: 'jboss-kie-mssql-extension-openshift-image:7.2.2.jre11'
      image: rhpam-kieserver-rhel8-custom
      imageContext: dmartino
      imageTag: 7.11.0-4
      id: kieserver-1
      keystoreSecret: kieserver-app-secret
      name: custom-keyserver
      replicas: 2
    smartRouter:
      keystoreSecret: smartrouter-app-secret